%define name	konversation
%define version	0.18
%define release	%mkrel 6

Name:		%name
Summary:	A user friendly IRC Client for KDE
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/IRC

Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}_16.png
Source2:	%{name}_32.png
Source3:	%{name}_48.png

Patch1:         %{name}-0.18-encode-media_script.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://konversation.sourceforge.net/
Requires:	kdebase >= 3.0
BuildRequires:	kdebase-devel

%description
A simple and easy to use IRC client for KDE with support for
strikeout; multi-channel joins; away / unaway messages; 
ignore list functionality; (experimental) support for foreign 
language characters; auto-connect to server; optional timestamps
to chat windows; configurable background colors and much more.

%prep
%setup -q

%patch1 -p1

%build
make -f admin/Makefile.common
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --with-xinerama --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall PACKAGE=%{name}
%{find_lang} %name

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Networking/IRC" \
title="Konversation" longtitle="Konversation is an irc client"
EOF

#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_bindir}/%{name}ircprotocolhandler

%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/%{name}.desktop

%{_iconsdir}/crystalsvg/16x16/actions/kimproxyaway.png
%{_iconsdir}/crystalsvg/16x16/actions/kimproxyoffline.png
%{_iconsdir}/crystalsvg/16x16/actions/kimproxyonline.png
%{_iconsdir}/crystalsvg/22x22/actions/char.png
%{_iconsdir}/crystalsvg/22x22/actions/kimproxyaway.png
%{_iconsdir}/crystalsvg/22x22/actions/kimproxyoffline.png
%{_iconsdir}/crystalsvg/22x22/actions/kimproxyonline.png
%{_iconsdir}/crystalsvg/22x22/actions/konv_message.png
%{_iconsdir}/crystalsvg/32x32/actions/kimproxyaway.png
%{_iconsdir}/crystalsvg/32x32/actions/kimproxyoffline.png
%{_iconsdir}/crystalsvg/32x32/actions/kimproxyonline.png
%{_iconsdir}/crystalsvg/scalable/actions/kimproxyaway.svgz
%{_iconsdir}/crystalsvg/scalable/actions/kimproxyoffline.svgz
%{_iconsdir}/crystalsvg/scalable/actions/kimproxyonline.svgz
%{_iconsdir}/crystalsvg/scalable/actions/konv_message.svgz
%{_iconsdir}/hicolor/128x128/apps/konversation.png
%{_iconsdir}/hicolor/16x16/apps/konversation.png
%{_iconsdir}/hicolor/22x22/apps/konversation.png
%{_iconsdir}/hicolor/32x32/apps/konversation.png
%{_iconsdir}/hicolor/48x48/apps/konversation.png
%{_iconsdir}/hicolor/64x64/apps/konversation.png
%{_iconsdir}/hicolor/scalable/apps/konversation.svgz
%{_iconsdir}/konversation.png
%{_liconsdir}/konversation.png
%{_miconsdir}/konversation.png

%{_menudir}/%{name}
%_datadir/apps/kconf_update/konversation-0.14-mainwindow.pl
%_datadir/apps/kconf_update/konversation.upd
   
%dir %_docdir/HTML/da/konversation/
%doc %_docdir/HTML/da/konversation/common
%doc %_docdir/HTML/da/konversation/*.bz2
%doc %_docdir/HTML/da/konversation/*.docbook
   
%dir %_docdir/HTML/en/konversation/
%doc %_docdir/HTML/en/konversation/common
%doc %_docdir/HTML/en/konversation/*.bz2
%doc %_docdir/HTML/en/konversation/*.docbook
%doc %_docdir/HTML/en/konversation/*.png

%dir %_docdir/HTML/et/konversation/
%doc %_docdir/HTML/et/konversation/common
%doc %_docdir/HTML/et/konversation/*.bz2
%doc %_docdir/HTML/et/konversation/*.docbook

%dir %_docdir/HTML/it/konversation/
%doc %_docdir/HTML/it/konversation/common
%doc %_docdir/HTML/it/konversation/*.bz2
%doc %_docdir/HTML/it/konversation/*.docbook
%doc %_docdir/HTML/it/konversation/*.png

%dir %_docdir/HTML/pt/konversation/
%doc %_docdir/HTML/pt/konversation/common
%doc %_docdir/HTML/pt/konversation/*.bz2
%doc %_docdir/HTML/pt/konversation/*.docbook

%dir %_docdir/HTML/sv/konversation/
%doc %_docdir/HTML/sv/konversation/common
%doc %_docdir/HTML/sv/konversation/*.bz2
%doc %_docdir/HTML/sv/konversation/*.docbook

%dir %_docdir/HTML/nl/konversation/
%doc %_docdir/HTML/nl/konversation/common
%doc %_docdir/HTML/nl/konversation/*.bz2
%doc %_docdir/HTML/nl/konversation/*.docbook
%doc %_docdir/HTML/nl/konversation/*.png
   
%_datadir/config.kcfg/konversation.kcfg
%_datadir/services/konvirc.protocol
%_datadir/services/konvirc6.protocol

%changelog
* Tue Sep 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-6mdk
- patch 1 : Fix Script Media Encoding

* Mon Aug 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-5mdk
- Remove Patch 0 : Unneeded

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-4mdk
- Cosmetics 

* Wed May 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-3mdk
- Try to fix some translation mistakes

* Thu May 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-2mdk
- Use new tarball because previous was buggy

* Thu May 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-1mdk
- 0.18
- Add Patch 0  ( unblacklist gcc4 )

* Fri Apr 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.17-3mdk
- Sorry master boulet I really fix build for amd64 ;)

* Wed Apr 06 2005 Sebastien Savarin <plouf@mandrake.org> 0.17-2mdk
- Fix build on x86_64 thanks to 
  Nicolas Richard <kournikolas@yahoo.fr>

* Wed Apr 06 2005 Sebastien Savarin <plouf@mandrake.org> 0.17-1mdk
- 0.17
 
* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.16-1mdk
- 0.16

* Wed Jan 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.15.1-1mdk
- 0.15.1

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.15-1mdk
- 0.15

* Mon Jul 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.14-1mdk
- 0.14

* Sat Jun 05 2004 Marcel Pol <mpol@mandrake.org> 0.13-2mdk
- reenable libtoolize

* Sat Nov 15 2003 Marcel Pol <mpol@gmx.net> 0.13-1mdk
- 0.13

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.12-2mdk
- Rebuild

* Tue May 27 2003 Marcel Pol <mpol@gmx.net> 0.12-1mdk
- initial mandrake package based on Robert Rockers specfile

